Bug 1384023 - ecryptfs-utils-111-2.fc25 FTBFS: dereferencing pointer to incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
Summary: ecryptfs-utils-111-2.fc25 FTBFS: dereferencing pointer to incomplete type 'EV...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ecryptfs-utils   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard: FTBFS
Keywords: DevelBlocker, Patch
: 1423510 1428554 (view as bug list)
Depends On:
Blocks: 1383740 1178673 1428202
TreeView+ depends on / blocked
 
Reported: 2016-10-12 11:39 UTC by Jitka Plesnikova
Modified: 2017-06-04 19:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-04 19:47:34 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for openssl 1.1.x (1.80 KB, text/plain)
2017-04-01 05:59 UTC, Raphael Groner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1670476 None None None 2017-03-06 19:59 UTC

Description Jitka Plesnikova 2016-10-12 11:39:06 UTC
Description of problem:
Package ecryptfs-utils fails to build from source in Fedora Rawhide.

ecryptfs_key_mod_pkcs11_helper.c: In function 'ecryptfs_pkcs11h_get_public_key':
ecryptfs_key_mod_pkcs11_helper.c:284:12: error: dereferencing pointer to incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'

...
ecryptfs_key_mod_openssl.c:281:2: error: implicit declaration of function 'CRYPTO_malloc_init' [-Werror=implicit-function-declaration]

...
ecryptfs_key_mod_openssl.c:318:2: error: 'ERR_remove_state' is deprecated [-Werror=deprecated-declarations]

...
ecryptfs_key_mod_openssl.c:355:2: error: 'RSA_generate_key' is deprecated [-Werror=deprecated-declarations]


This is caused by upgrading openssl from 1:1.0.2j-1.fc26 to 1:1.1.0b-1.fc26.

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/ecryptfs-utils

Comment 1 Michal Hlavinka 2016-10-19 15:19:59 UTC
Migration guide is non-existent, api changes document covers only a few things. Changes from other packages do not cover much of openssl usage in ecryptfs-utils, so we can't take inspiration from there.

tldr: I'm going to leave it for upstream or anyone who wants to work on this patch.

Comment 2 Jitka Plesnikova 2017-02-21 15:20:27 UTC
*** Bug 1423510 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2017-02-28 10:26:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Michal Hlavinka 2017-03-03 06:12:48 UTC
*** Bug 1428554 has been marked as a duplicate of this bug. ***

Comment 5 Raphael Groner 2017-03-03 06:39:42 UTC
(In reply to Michal Hlavinka from comment #1)
…
> tldr: I'm going to leave it for upstream or anyone who wants to work on this
> patch.

I'm interested to become a co-maintainer and I'm the maintainer of ecryptfs-simple and zulucrypt. Can you give me commit access?

Comment 6 Michal Hlavinka 2017-03-03 12:38:35 UTC
> I'm interested to become a co-maintainer and I'm the maintainer of
> ecryptfs-simple and zulucrypt. Can you give me commit access?

done

Comment 7 Raphael Groner 2017-03-03 17:47:13 UTC
Thanks! I'll update the package.

Comment 8 Raphael Groner 2017-03-06 19:59:31 UTC
Reported to upstream.

Comment 9 Raphael Groner 2017-04-01 05:59 UTC
Created attachment 1268032 [details]
patch for openssl 1.1.x

Upstream has a patch:
https://code.launchpad.net/~jelle-vdwaa/ecryptfs/ecryptfs/+merge/319746

Comment 10 Raphael Groner 2017-04-01 06:05:39 UTC
Unfortunately, the patch provided to upstream does not work with current sources in rawhide.

Comment 11 Raphael Groner 2017-06-04 19:47:34 UTC
The patch for upstream got improved significantly.
This FTBFS is fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.